## RygelDLNAAvailableSeekRangeRequest

RygelDLNAAvailableSeekRangeRequest — This class represents a DLNA getAvailableSeekRange request.

## Functions

gboolean | rygel_dlna_available_seek_range_request_supported ()
gboolean | rygel_dlna_available_seek_range_request_requested ()

## Types and Values

#define | RYGEL_TYPE_DLNA_AVAILABLE_SEEK_RANGE_REQUEST
struct | RygelDLNAAvailableSeekRangeRequest
struct | RygelDLNAAvailableSeekRangeRequestClass
#define | GET_AVAILABLE_SEEK_RANGE_HEADER

## Object Hierarchy

        GObject
        ╰── RygelHTTPSeekRequest
            ╰── RygelDLNAAvailableSeekRangeRequest

## Description

A getAvailableSeekRange request can only have a single parameter: "1"

## Functions

### rygel_dlna_available_seek_range_request_supported ()

    gboolean
    rygel_dlna_available_seek_range_request_supported
                                   (RygelHTTPGet *request);

Return true if getAvailableSeekRange is supported.

#### Parameters

request |  |

### rygel_dlna_available_seek_range_request_requested ()

    gboolean
    rygel_dlna_available_seek_range_request_requested
                                   (RygelHTTPGet *request);

Return true of the HTTPGet contains a getAvailableSeekRange request.

#### Parameters

request |  |

## Types and Values

### RYGEL_TYPE_DLNA_AVAILABLE_SEEK_RANGE_REQUEST

    #define RYGEL_TYPE_DLNA_AVAILABLE_SEEK_RANGE_REQUEST (rygel_dlna_available_seek_range_request_get_type ())

The type for RygelDLNAAvailableSeekRangeRequest.

### struct RygelDLNAAvailableSeekRangeRequest

    struct RygelDLNAAvailableSeekRangeRequest;

This class represents a DLNA getAvailableSeekRange request.

A getAvailableSeekRange request can only have a single parameter: "1"

### struct RygelDLNAAvailableSeekRangeRequestClass

    struct RygelDLNAAvailableSeekRangeRequestClass {
    	RygelHTTPSeekRequestClass parent_class;
    };

The class structure for `RYGEL_TYPE_DLNA_AVAILABLE_SEEK_RANGE_REQUEST`. All the fields in this structure are private and should never be accessed directly.

#### Members

### GET_AVAILABLE_SEEK_RANGE_HEADER

    #define GET_AVAILABLE_SEEK_RANGE_HEADER "getAvailableSeekRange.dlna.org"